TLSProfilePureTLSHandshakeCompletedListener (PureTLS TLS Profile API)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.profile.tls.ptls
Interface TLSProfilePureTLSHandshakeCompletedListener

public interface TLSProfilePureTLSHandshakeCompletedListener

receives handshake completed events. This allows the application to examine the trust of the authentication and take appropriate action as necessary, such as alter the profiles on the session, or simply close it. This is a specific interface that only works with PureTLS. Other TLS profile implementations will use something else if they use anything at all.

See Also:
  `TLSProfilePureTLS`, `Session`, `X509Cert`

Method Summary
`void` | `handshakeCompleted(Session session, Vector certChain, int cipher)` called after the SSL handshake has completed to allow verification and fine tuning by the application.

Method Detail

### handshakeCompleted

    public void handshakeCompleted(Session session,
                                   Vector certChain,
                                   int cipher)
                            throws BEEPException

  called after the SSL handshake has completed to allow verification and fine tuning by the application. The cert chain is a Vector where each certificate is a COM.claymoresystems.cert.X509Cert, reaching back from user to root.

  Parameters:
    `session` - The BEEP Session on which the TLS profile channel was initiated
    `certChain` - the certficate chain that authenticates this peer
    `cipher` - the encryption protocol chosen for this session (as defined in Appendex A of the TLS specification.
    `BEEPException`
  See Also:
    `Session`, `X509Cert`, `Vector`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.